[% setvar title #perl6 IRC channel %]
[% menu nav community %]

<div id="subpage-header">
    [% include camelia %]

    <h2>[% readvar title %]</h2>
    <p>
        Much real-time discussion happens on our IRC channel, <a
        href="irc://irc.freenode.net/#perl6">#perl6 or irc.freenode.net</a>.
    </p>
    <p>
        We try to be very nice to newcomers, so feel free to join us, and ask
        any Perl 6 questions you might have.
    </p>
</div>

<div id="col1">
    <h3>#perl6</h3>

    <p>
        We discuss questions about Perl&nbsp;6, how to install a compiler,
        proposals for small enhancements to the specification, ideas for new
        modules - you name it.
    </p>

    <p>
        If you don't have an IRC client installed, you can use <a 
        href="http://webchat.freenode.net/?channels=perl6&amp;nick=">your
        browser to connect to IRC</a>.
    </p>

    <p>
        If you missed an interesting discussion on #perl6 - don't worry,
        <a href="http://irclog.perlgeek.de/perl6/today">there are public logs
        available</a>. These logs also turn many Perl 6 specific abbreviations
        into links, or explain them when you hover with the mouse over them.
        A different logging facility can be found on <a
        href="http://colabti.org/irclogger/irclogger_logs/perl6">colabti.org</a>.
    </p>
</div>

<div id="col2">
    <h3>Bots</h3>

    <p>A variety of IRC bots make our life easier, here's a short explanation
    of what they do - <a
    href="http://howcaniexplainthis.blogspot.com/2009/11/what-perl6-irc-bots-do.html">courtesy
    by frettled</a>.</p>

    <dl id="botlist">
        <dt>dalek</dt>
        <dd>
            Announces commits (mainly to rakudo, nqp-rx and the <a
            href="http://github.com/perl6/book/">Perl 6 book</a>
        </dd>

        <dt>hugme</dt>
        <dd>
            Hugs users, or adds them as collaborators to github
            projects.
        </dd>

        <dt>lambdabot</dt>
        <dd>
            Keeps track of karma ("nick++" adds one to nick's karma score,
            "nick--" subtracts one). Also generally annoys people.
        </dd>

        <dt>lisppaste3</dt>
        <dd>
            Announces entries pasted to <a
            href="http://paste.lisp.org/new/perl6">a paste bin</a>which is
            where we paste code and other stuff, so that we avoid spamming the
            channel too much, and also don't have to worry about creating our
            own temporary web pages)
        </dd>
        <dt>mubot</dt>
        <dd>
            Also tracks karma, attempting to be slightly less annoying than
            lambdabot. mubot is clever enough to recognize that your nick may
            vary slightly from time to time and channel to channel. mubot <a
            href="http://github.com/carlins/mubot/">is
            written in Perl 6!</a>
        </dd>
        <dt>p6eval</dt>
        <dd>
            Perl 6 code evaluation bot. We use this for live testing of code
            that may be of interest to others; it chats back to the channel.
            <code>perl6: my $a;</code> will result in a test against several
            Perl 6 compilers (elf, mildew, mildew-js, pugs, rakudo, sprixel),
            <code>nqp: say('foo')</code> tests nqp-rx, <code>std: my $a</code>
            will parse the expression with STD.pm.
        </dd>
        <dt>phenny</dt>
        <dd>
            Our secretary. Sample usage:
            <pre>phenny, tell frettled to stay tuned</pre>
            phenny will then let frettled know when he becomes active on the
            channel again.
        </dd>
        <dt>pointme</dt>
        <dd>
            Provides links to projects tracked by proto. Example usage:
<pre> [% syntax escape %]
<carlin> pointme: rssbot
<pointme> carlins's rssbot is at
    http://github.com/carlins/rssbot
[% endsyntax %]</pre>

            pointme is written in Perl 6!
        </dd>
        <dt>pugs_svn</dt>
        <dd>
            Tracks commits to the pugs repository, most of which are changes
            to the test suite and spec.
        </dd>
        <dt>zaslon</dt>
        <dd>Tracks blog posts from a certain group of bloggers. Zaslon is
        written in Perl 6!</dd>
    </dl>
</div>
